#
# Conditional build:
%bcond_with	doc	# documentation (porting guide)

Summary:	A Python 2/3 compatibility layer for C extensions
Summary(pl.UTF-8):	Warstwa kompatybilnośz Pythonem 2/3 dla rozszerzeń w C
Name:		py3c
Version:	1.3.1
Release:	1%{?tld}
License:	MIT
Group:		Development/Libraries
#Source0Download: https://github.com/encukou/py3c/releases
Source0:	https://github.com/encukou/py3c/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	57f6518f3a7bcd501425bb23f2de15a7
URL:		https://github.com/encukou/py3c
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
py3c helps you port C extensions to Python 3.

It provides a detailed guide, and a set of macros to make porting easy
and reduce boilerplate.

%description -l pl.UTF-8
py3c pozwala portować rozszerzenia w C do Pythona 3.

Dostarcza szczegółowy przewodnik oraz zestaw makr ułatwiających
portowanie oraz zmniejszających ilość powtarzalnego kodu.

%package doc
Summary:	Documentation and porting guide for py3c
Summary(pl.UTF-8):	Dokumentacja i przewodnik portowania do py3c
Group:		Documentation

%description doc
Documentation and porting guide for py3c.

%description doc -l pl.UTF-8
Dokumentacja i przewodnik portowania do py3c.

%prep
%setup -q

%build
%{__make} py3c.pc \
	includedir=%{_includedir}

%if %{with doc}
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_npkgconfigdir}}

cp -p include/py3c.h $RPM_BUILD_ROOT%{_includedir}
cp -pr include/py3c $RPM_BUILD_ROOT%{_includedir}
cp -p py3c.pc $RPM_BUILD_ROOT%{_npkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst CONTRIBUTING LICENSE.MIT README.rst
%{_includedir}/py3c.h
%dir %{_includedir}/py3c
%{_includedir}/py3c/*.h
%{_npkgconfigdir}/py3c.pc

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc doc/build/html/{_static,*.html,*.js}
%endif
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/py3c.git;a=log;h=master

* Mon Apr 01 2024 Marcin Krol <hawk@tld-linux.org> 9b42067
- py3c from PLD, taken from .src.rpm as original repo no longer exists

